#### D.12.6.11 randlinpoly

Procedure from library `rootsmr.lib` (see rootsmr_lib).

Usage:
  randlinpoly(); randlinpoly(n); n int

Return:
  poly: linear combination of the variables of the ring, with pseudorandom coefficients. If n<10 is given, it is the number of digits being used for the range of the coefficients (default: n=5)

Example:

    LIB "rootsmr.lib";
    ring r = 0,(x,y,z,w),dp;
    poly p = randlinpoly();
    p;
    ==> 80035x+36642y+40875z+54263w
    randlinpoly(5);
    ==> 68857x+95664y+28174z+34170w

See also: randcharpoly.

User manual for Singular version 4.4.1, 2025, generated by texi2html.